diff --git a/rubygem-awesome_print/rubygem-awesome_print.spec b/rubygem-awesome_print/rubygem-awesome_print.spec
index c714d9bee..38fd18db7 100644
--- a/rubygem-awesome_print/rubygem-awesome_print.spec
+++ b/rubygem-awesome_print/rubygem-awesome_print.spec
@@ -11,23 +11,24 @@ Group: Development/Languages
 License: MIT
 URL: http://github.com/michaeldv/awesome_print
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires:      %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires:      %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires:      %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires:      %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
 
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
-#BuildRequires: %{?scl_prefix}rubygem-rspec
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
+#BuildRequires: %{?scl_prefix_ruby}rubygem-rspec
 
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Great Ruby debugging companion: pretty print Ruby objects to visualize their
@@ -38,6 +39,7 @@ structure. Supports custom object formatting via plugins.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-bastion/rubygem-bastion.spec b/rubygem-bastion/rubygem-bastion.spec
index db3ef23cc..0b16552fc 100644
--- a/rubygem-bastion/rubygem-bastion.spec
+++ b/rubygem-bastion/rubygem-bastion.spec
@@ -24,14 +24,15 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 Requires: foreman >= 1.8.0
 Requires: %{?scl_prefix}rubygem(angular-rails-templates) = 0.1.2
 
 BuildRequires: foreman-assets >= 1.8.0
 BuildRequires: foreman-plugin >= 1.8.0
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildRequires: %{?scl_prefix}rubygem(less-rails) >= 2.5.0
 BuildRequires: %{?scl_prefix}rubygem(less-rails) < 2.6
 BuildRequires: %{?scl_prefix}rubygem(angular-rails-templates) = 0.1.2
@@ -49,6 +50,7 @@ a modern UI.
 Summary:    Documentation for rubygem-%{gem_name}
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 This package contains documentation for rubygem-%{gem_name}.
@@ -59,7 +61,7 @@ BuildArch: noarch
 Requires:  %{?scl_prefix}%{pkg_name} = %{version}-%{release}
 Requires:  %{?scl_prefix}rubygem(less-rails) >= 2.5.0
 Requires:  %{?scl_prefix}rubygem(less-rails) < 2.6
-Requires:  %{?scl_prefix}rubygem(uglifier)
+Requires:  %{?scl_prefix_ruby}rubygem(uglifier)
 
 %description devel
 This package contains assets compilation dependencies for %{scl_prefix}rubygem-%{gem_name}.
@@ -194,5 +196,3 @@ ln -s %{foreman_assets_plugin} %{buildroot}%{foreman_dir}/public/assets/bastion
 
 * Fri Oct 17 2014 Dominic Cleal <dcleal@redhat.com> 0.1.3-1
 - new package built with tito (ericdhelms@gmail.com)
-
-
diff --git a/rubygem-bootstrap-sass/rubygem-bootstrap-sass.spec b/rubygem-bootstrap-sass/rubygem-bootstrap-sass.spec
index d7d23fb3e..8775e3051 100644
--- a/rubygem-bootstrap-sass/rubygem-bootstrap-sass.spec
+++ b/rubygem-bootstrap-sass/rubygem-bootstrap-sass.spec
@@ -14,24 +14,25 @@ URL: https://github.com/twbs/bootstrap-sass
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 Requires: %{?scl_prefix}rubygem(sass) >= 3.2
 Requires: %{?scl_prefix}rubygem(sass) < 4
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 bootstrap-sass is a Sass-powered version of Bootstrap, ready to drop right into
@@ -41,6 +42,7 @@ your Sass powered applications.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -85,4 +87,3 @@ cp -a .%{gem_dir}/* \
 %changelog
 * Sun Dec 29 2013 Dominic Cleal <dcleal@redhat.com> 3.0.3.0-1
 - new package built with tito
-
diff --git a/rubygem-bundler_ext/rubygem-bundler_ext.spec b/rubygem-bundler_ext/rubygem-bundler_ext.spec
index 056913fe3..7a420878f 100644
--- a/rubygem-bundler_ext/rubygem-bundler_ext.spec
+++ b/rubygem-bundler_ext/rubygem-bundler_ext.spec
@@ -13,24 +13,25 @@ License: ASL 2.0
 URL: https://github.com/aeolus-incubator/bundler_ext
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}rubygem(bundler)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}rubygem(bundler)
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-BuildRequires: %{?scl_prefix}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
-BuildRequires: %{?scl_prefix}ruby
-# BuildRequires: %{?scl_prefix}rubygem(rspec)
-# BuildRequires: %{?scl_prefix}rubygem(bundler)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
+BuildRequires: %{?scl_prefix_ruby}ruby
+# BuildRequires: %{?scl_prefix_ruby}rubygem(rspec)
+# BuildRequires: %{?scl_prefix_ruby}rubygem(bundler)
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Simple library leveraging the Bundler Gemfile DSL to load gems already on the
@@ -41,6 +42,7 @@ system and managed by the systems package manager (like yum/apt)
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-clamp/rubygem-clamp.spec b/rubygem-clamp/rubygem-clamp.spec
index 66c5a9549..e723b278f 100644
--- a/rubygem-clamp/rubygem-clamp.spec
+++ b/rubygem-clamp/rubygem-clamp.spec
@@ -13,18 +13,19 @@ URL: http://github.com/mdub/clamp
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?scl:1} || (0%{?el6} && 0%{!?scl:1})
-Requires: %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Clamp provides an object-model for command-line utilities.
@@ -34,6 +35,7 @@ It handles parsing of command-line options, and generation of usage help.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-commonjs/rubygem-commonjs.spec b/rubygem-commonjs/rubygem-commonjs.spec
index 485ef8a15..da5afff0a 100644
--- a/rubygem-commonjs/rubygem-commonjs.spec
+++ b/rubygem-commonjs/rubygem-commonjs.spec
@@ -14,21 +14,22 @@ License: GPLv2+ or Ruby
 URL: http://github.com/cowboyd/commonjs.rb
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems) 
-Requires: %{?scl_prefix}ruby 
+Requires: %{?scl_prefix_ruby}ruby(rubygems) 
+Requires: %{?scl_prefix_ruby}ruby 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel 
-BuildRequires: %{?scl_prefix}ruby 
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel 
+BuildRequires: %{?scl_prefix_ruby}ruby 
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Host CommonJS JavaScript environments in Ruby
@@ -38,6 +39,7 @@ Host CommonJS JavaScript environments in Ruby
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-concurrent-ruby-edge/rubygem-concurrent-ruby-edge.spec b/rubygem-concurrent-ruby-edge/rubygem-concurrent-ruby-edge.spec
index e05dc0fa8..685e5e3ef 100644
--- a/rubygem-concurrent-ruby-edge/rubygem-concurrent-ruby-edge.spec
+++ b/rubygem-concurrent-ruby-edge/rubygem-concurrent-ruby-edge.spec
@@ -14,21 +14,22 @@ License: MIT
 URL: https://github.com/ruby-concurrency/concurrent-ruby
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
 
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Edge concepts for modern concurrency tools including agents, futures,
@@ -41,6 +42,7 @@ patterns.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{epoch}:%{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -92,5 +94,3 @@ cp -a .%{gem_dir}/* \
 
 * Thu Jul 02 2015 Ivan Nečas <inecas@redhat.com>
 - new package built with tito
-
-
diff --git a/rubygem-concurrent-ruby/rubygem-concurrent-ruby.spec b/rubygem-concurrent-ruby/rubygem-concurrent-ruby.spec
index 8ee9814ce..2d159e1bc 100644
--- a/rubygem-concurrent-ruby/rubygem-concurrent-ruby.spec
+++ b/rubygem-concurrent-ruby/rubygem-concurrent-ruby.spec
@@ -13,21 +13,22 @@ Group: Development/Languages
 License: MIT
 URL: https://github.com/ruby-concurrency/concurrent-ruby
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
 
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Modern concurrency tools including agents, futures,
@@ -40,6 +41,7 @@ patterns.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{epoch}:%{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -92,4 +94,3 @@ cp -a .%{gem_dir}/* \
 
 * Thu Jul 02 2015 Ivan Nečas <inecas@redhat.com>
 - new package built with tito
-
diff --git a/rubygem-daemons/daemons.spec b/rubygem-daemons/daemons.spec
index d407d4240..6457ac1aa 100644
--- a/rubygem-daemons/daemons.spec
+++ b/rubygem-daemons/daemons.spec
@@ -12,12 +12,13 @@ License: GPLv2+ or Ruby
 URL: http://daemons.rubyforge.org
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Requires: %{?scl_prefix}rubygems
-BuildRequires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
-BuildRequires: %{?scl_prefix}rubygems-devel
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 
 %description
 Daemons provides an easy way to wrap existing ruby scripts (for example a
@@ -32,6 +33,7 @@ automatic restarting of your processes if they crash.
 Summary: Documentation for %{name}
 Group: Documentation
 Requires: %{name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-dalli/rubygem-dalli.spec b/rubygem-dalli/rubygem-dalli.spec
index 08252804d..b71444c68 100644
--- a/rubygem-dalli/rubygem-dalli.spec
+++ b/rubygem-dalli/rubygem-dalli.spec
@@ -14,22 +14,23 @@ URL: https://github.com/mperham/dalli
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Dalli is a high performance pure Ruby client for accessing memcached servers.
@@ -40,6 +41,7 @@ should be considered a replacement for the memcache-client gem.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -79,4 +81,3 @@ cp -a .%{gem_dir}/* \
 %changelog
 * Tue Sep 17 2013 Dominic Cleal <dcleal@redhat.com> 2.6.4-1
 - new package built with tito
-
diff --git a/rubygem-deep_cloneable/rubygem-deep_cloneable.spec b/rubygem-deep_cloneable/rubygem-deep_cloneable.spec
index 09854ed75..95a033dd0 100644
--- a/rubygem-deep_cloneable/rubygem-deep_cloneable.spec
+++ b/rubygem-deep_cloneable/rubygem-deep_cloneable.spec
@@ -14,23 +14,24 @@ URL: http://github.com/moiristo/deep_cloneable
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
-Requires: %{?scl_prefix}rubygem-activerecord >= 1:3.1.0
-Requires: %{?scl_prefix}rubygem-activerecord < 1:5.0.0
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
+Requires: %{?scl_prefix_ruby}rubygem-activerecord >= 1:3.1.0
+Requires: %{?scl_prefix_ruby}rubygem-activerecord < 1:5.0.0
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Extends the functionality of ActiveRecord::Base#clone to perform a deep clone
@@ -41,6 +42,7 @@ that includes user specified associations.
 Summary: Documentation for %{name}
 Group: Documentation
 Requires: %{name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-deface/rubygem-deface.spec b/rubygem-deface/rubygem-deface.spec
index f3c1dbde0..e987e235e 100644
--- a/rubygem-deface/rubygem-deface.spec
+++ b/rubygem-deface/rubygem-deface.spec
@@ -13,19 +13,20 @@ License: MIT
 URL: https://github.com/spree/deface
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
-BuildRequires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 Requires: %{?scl_prefix}rubygem(nokogiri)
-Requires: %{?scl_prefix}rubygem(rails)
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygem(rails)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Rails 3 plugin that allows you to customize ERB views in a
@@ -34,6 +35,7 @@ Rails application without editing the underlying view.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -91,5 +93,3 @@ cp -a .%{gem_dir}/* \
 
 * Thu Mar 28 2013 Ivan Necas <inecas@redhat.com> 0.7.2-1
 - new package built with tito
-
-
diff --git a/rubygem-diffy/rubygem-diffy.spec b/rubygem-diffy/rubygem-diffy.spec
index 384bd08d6..b5cbff237 100644
--- a/rubygem-diffy/rubygem-diffy.spec
+++ b/rubygem-diffy/rubygem-diffy.spec
@@ -14,22 +14,23 @@ URL: https://github.com/samg/diffy
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Need diffs in your ruby app? Diffy has you covered. It provides a convenient
@@ -41,6 +42,7 @@ focuses on providing a convenient interface, and getting out of your way.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -85,4 +87,3 @@ cp -a .%{gem_dir}/* \
 %changelog
 * Wed Nov 20 2013 Dominic Cleal <dcleal@redhat.com> 3.0.1-1
 - new package built with tito
-
diff --git a/rubygem-docker-api/rubygem-docker-api.spec b/rubygem-docker-api/rubygem-docker-api.spec
index 24b0e27b7..c31e3fdeb 100644
--- a/rubygem-docker-api/rubygem-docker-api.spec
+++ b/rubygem-docker-api/rubygem-docker-api.spec
@@ -14,24 +14,25 @@ URL: https://github.com/swipely/docker-api
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 Requires: %{?scl_prefix}rubygem(archive-tar-minitar)
 Requires: %{?scl_prefix}rubygem(excon) >= 0.38
-Requires: %{?scl_prefix}rubygem(json)
+Requires: %{?scl_prefix_ruby}rubygem(json)
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 This gem provides an object-oriented interface to the Docker Remote API. Every
@@ -43,6 +44,7 @@ interface with Docker version 0.9.*.
 Summary: Documentation for %{name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -97,4 +99,3 @@ cp -pa .%{gem_dir}/* \
 
 * Tue Apr 29 2014 Dominic Cleal <dcleal@redhat.com> 1.8.4-1
 - new package built with tito
-
diff --git a/rubygem-dynflow/rubygem-dynflow.spec b/rubygem-dynflow/rubygem-dynflow.spec
index e125aaae7..fa4ebda9d 100644
--- a/rubygem-dynflow/rubygem-dynflow.spec
+++ b/rubygem-dynflow/rubygem-dynflow.spec
@@ -13,15 +13,15 @@ URL: https://github.com/Dynflow/dynflow
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
 
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 Requires: %{?scl_prefix}rubygem(algebrick) >= 0.7.0
 Requires: %{?scl_prefix}rubygem(algebrick) < 0.8.0
 Requires: %{?scl_prefix}rubygem(concurrent-ruby) >= 0.9.0
@@ -30,10 +30,11 @@ Requires: %{?scl_prefix}rubygem(concurrent-ruby-edge) >= 0.1.0
 Requires: %{?scl_prefix}rubygem(concurrent-ruby-edge) < 0.2.0
 Requires: %{?scl_prefix}rubygem(multi_json)
 Requires: %{?scl_prefix}rubygem(apipie-params)
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Ruby workflow/orchestration engine
@@ -42,6 +43,7 @@ Ruby workflow/orchestration engine
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -141,4 +143,3 @@ cp -a .%{gem_dir}/* \
 
 * Tue May 07 2013 Ivan Necas <inecas@redhat.com> 0.1.0-1
 - new package built with tito
-
diff --git a/rubygem-eventmachine/rubygem-eventmachine.spec b/rubygem-eventmachine/rubygem-eventmachine.spec
index aa11d950e..322efa935 100644
--- a/rubygem-eventmachine/rubygem-eventmachine.spec
+++ b/rubygem-eventmachine/rubygem-eventmachine.spec
@@ -14,10 +14,11 @@ Source0:    http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
 # Fixed upstream
 # https://github.com/eventmachine/eventmachine/commit/2c083af3d06d333db31dcc1bbe535b10285a8d1e
 Patch0:     rubygem-eventmachine-0.12.10-makes-HTTPS-client-tests-pass.patch
-Requires:   %{?scl_prefix}ruby(rubygems)
-Requires:   %{?scl_prefix}ruby(abi) = 1.9.1
+Requires:   %{?scl_prefix_ruby}ruby(rubygems)
+Requires:   %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 Provides:   %{?scl_prefix}rubygem(%{gem_name}) = %{version}
-BuildRequires: %{?scl_prefix}rubygems-devel, %{?scl_prefix}ruby-devel, openssl-devel, %{?scl_prefix}rubygem(rake), net-tools
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel, %{?scl_prefix_ruby}ruby-devel, openssl-devel, %{?scl_prefix_ruby}rubygem(rake), net-tools
 
 %description
 EventMachine implements a fast, single-threaded engine for arbitrary network
@@ -37,6 +38,7 @@ Group: Documentation
 BuildArch: noarch
 
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 This package contains documentation for %{pkg_name}.
diff --git a/rubygem-excon/rubygem-excon.spec b/rubygem-excon/rubygem-excon.spec
index 083198ade..d33e704be 100644
--- a/rubygem-excon/rubygem-excon.spec
+++ b/rubygem-excon/rubygem-excon.spec
@@ -12,23 +12,24 @@ License: MIT
 URL: https://github.com/geemus/excon
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 Requires: ca-certificates
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 BuildRequires: ca-certificates
 # For the tests
-#BuildRequires: %{?scl_prefix}rubygem(activesupport)
+#BuildRequires: %{?scl_prefix_ruby}rubygem(activesupport)
 #BuildRequires: %{?scl_prefix}rubygem(delorean)
 #BuildRequires: %{?scl_prefix}rubygem(open4)
 #BuildRequires: %{?scl_prefix}rubygem(shindo)
-#BuildRequires: %{?scl_prefix}rubygem(sinatra)
+#BuildRequires: %{?scl_prefix_ruby}rubygem(sinatra)
 #BuildRequires: %{?scl_prefix}rubygem(eventmachine)
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 EXtended http(s) CONnections
@@ -37,6 +38,7 @@ EXtended http(s) CONnections
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 Documentation for %{pkg_name}
diff --git a/rubygem-extlib/rubygem-extlib.spec b/rubygem-extlib/rubygem-extlib.spec
index c973c55f9..5c4b05ca4 100644
--- a/rubygem-extlib/rubygem-extlib.spec
+++ b/rubygem-extlib/rubygem-extlib.spec
@@ -14,22 +14,23 @@ URL: https://github.com/datamapper/extlib
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Support library for DataMapper and Merb.
@@ -38,6 +39,7 @@ Support library for DataMapper and Merb.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -81,4 +83,3 @@ cp -a .%{gem_dir}/* \
 %changelog
 * Sun Nov 10 2013 Dominic Cleal <dcleal@redhat.com> 0.9.16-1
 - new package built with tito
-
